#   2log.io
#   Copyright (C) 2021 - 2log.io | mail@2log.io,  mail@friedemann-metzger.de
#
#   This program is free software: you can redistribute it and/or modify
#   it under the terms of the GNU Affero General Public License as published by
#   the Free Software Foundation, either version 3 of the License, or
#   (at your option) any later version.
#
#   This program is distributed in the hope that it will be useful,
#   but WITHOUT ANY WARRANTY; without even the implied warranty of
#   MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
#   GNU Affero General Public License for more details.
#
#   You should have received a copy of the GNU Affero General Public License
#   along with this program.  If not, see <http://www.gnu.org/licenses/>.


INCLUDEPATH += $$PWD/cpp
QML_IMPORT_PATH += $$PWD/qml

HEADERS += \
    $$PWD/cpp/CSVReader.h \
    $$PWD/cpp/CppHelper.h \
    $$PWD/cpp/Init2logQMLComponents.h \
    $$PWD/cpp/DottedLine.h \
    $$PWD/cpp/LineChart.h

SOURCES += \
    $$PWD/cpp/CSVReader.cpp \
    $$PWD/cpp/CppHelper.cpp \
    $$PWD/cpp/DottedLine.cpp \
    $$PWD/cpp/LineChart.cpp



android {
    HEADERS +=    $$PWD/cpp/NFCReader.h
    SOURCES +=    $$PWD/cpp/NFCReader.cpp
    QT += nfc
}

RESOURCES += \
    $$PWD/qml/qmlResources.qrc
